Skip to main content

Run a MetricsQL query for systems in the specified fleet in NetApp Console local deployment

POST /organizations/{organization_id}/fleets/{fleet_id}/metricsql

Runs a raw MetricsQL query against time series data for systems in the specified fleet.

Parameters

Name Type In Required Description

organization_id

string

path

True

Identifier for an organization.

fleet_id

string

path

True

Identifier for a fleet.

Request Body

Name Type Required Description

query

string

True

MetricsQL query.

timeRange

asset_1.0_time_range

False

Time range for a query window. If omitted from the request body, an instant query is performed at the evaluation time. If provided in the request body, a range query is performed. Values can be absolute or relative to the evaluation time.

Example request
{
  "query": "sum(iops_total) by (cluster)",
  "timeRange": {
    "end": "NOW",
    "start": "PT30M",
    "step": "PT1M"
  }
}

Response

Status: 200, OK
Name Type Required Description

items

array[items]

False

Time series matching the query.

Example response
{
  "items": [
    {
      "labels": {
        "cluster": "cluster-01",
        "svm": "svm-prod-1"
      },
      "points": [
        {
          "timestamp": "2026-01-26T20:58:16.305662Z",
          "value": 10.5
        }
      ]
    },
    {
      "labels": {
        "cluster": "cluster-01",
        "svm": "svm-prod-2"
      },
      "points": [
        {
          "timestamp": "2026-01-26T20:58:16.305662Z",
          "value": 8.3
        }
      ]
    }
  ]
}

Error

Status: 400, Bad request
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The supplied query parameters are invalid.",
  "status": "400",
  "title": "Invalid query parameters",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 401, Unauthorized
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The request is missing the required bearer token.",
  "status": "401",
  "title": "Missing bearer token",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 403, Forbidden
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The requested operation isn't permitted.",
  "status": "403",
  "title": "Operation not permitted",
  "type": "https://bluexp.netapp.io/problems/11"
}

Definitions

See Definitions

asset_1.0_time_range

Time range for a query window. If omitted from the request body, an instant query is performed at the evaluation time. If provided in the request body, a range query is performed. Values can be absolute or relative to the evaluation time.

Name Type Required Description

end

string

False

End of the query window. The value can be:

  • RFC 3339 timestamp (e.g. "2026-01-23T10:00:00Z"),

  • "NOW",

  • ISO 8601 duration interpreted as NOW minus the duration (e.g. "PT15M" = NOW-15 minutes). If omitted, defaults to "NOW".

start

string

True

Start of the query window. The value can be:

  • RFC 3339 timestamp (e.g. "2026-01-23T10:00:00Z"),

  • "NOW",

  • ISO 8601 duration interpreted as NOW minus the duration (e.g. "PT15M" = NOW-15 minutes).

step

string

False

ISO 8601 duration step between data points for range queries (e.g. "PT60S"). Ignored for instant queries.

labels

Label set identifying this series.

Hash mapping strings to string

points

Name Type Required Description

timestamp

string

True

RFC 3339 timestamp of the data point.

value

number

True

Numeric value at the specified timestamp.

items

Name Type Required Description

labels

labels

True

Label set identifying this series.

points

array[points]

True

Ordered list of data points. Range queries return multiple points; instant queries return exactly one point per series.

invalidParams

Name Type Required Description

name

string

True

Name of the invalid parameter.

reason

string

True

Reason why the parameter is invalid.